Skip to main content
PUT
Update a campaign

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

id
integer
required

Numeric campaign ID.

Body

application/json
name
string

New campaign name.

isPublic
boolean

Whether the campaign should be visible to the whole organization.

emailAccountIds
string[]

Public-facing email account IDs to link as sending addresses.

maxActiveContacts
integer

Maximum number of contacts that may be actively engaged in the campaign at one time. Must be greater than 0 before the campaign can be started via POST /campaigns/{id}/actions (action START). Requires the Max Active Contacts feature to be enabled for your organization.

Required range: x >= 1
Example:

100

Response

The updated campaign.

success
boolean
Example:

true

data
object